Loading...
Searching...
No Matches
Sphere Class Reference
Inheritance diagram for Sphere:

## Public Member Functions

| Sphere (const Vector3f &position_, float radius_, Primitive::Identifier id, const Vector3ub &color_)
const Vector3f & | position () const
void | setPosition (const Vector3f &pos)
float | radius () const
void | setRadius (float r)
Public Member Functions inherited from Primitive
| Primitive (Identifier id, const Vector3ub &color_)
Identifier | identifier () const
void | setIdentifier (Identifier id)
const Vector3ub & | color () const
void | setColor (const Vector3ub &c)

## Additional Inherited Members

Public Types inherited from Primitive
enum | Type { Invalid = -1 , Atom , Bond }

The documentation for this class was generated from the following file:

- primitive.h